%define anolis_release 1

Name:		soundtouch	
Version:	2.3.1
Release:	%{anolis_release}%{?dist}
Summary:	Audio Processing library for changing Tempo, Pitch and Playback Rates

License:	LGPLv2+
URL:		http://www.surina.net/soundtouch/
Source0:	https://codeberg.org/soundtouch/soundtouch/archive/%{version}.tar.gz

BuildRequires:	gcc-c++
BuildRequires:  cmake

%description
SoundTouch is a LGPL-licensed open-source audio processing library for
changing the Tempo, Pitch and Playback Rates of audio streams or
files. The SoundTouch library is suited for application developers
writing sound processing tools that require tempo/pitch control
functionality, or just for playing around with the sound effects.
 
The SoundTouch library source kit includes an example utility
SoundStretch which allows processing .wav audio files from a
command-line interface.

%package 	devel
Summary:  	Libraries, includes, etc to develop soundtouch applications
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig
 
%description devel
Libraries, include files, etc you can use to develop soundtouch applications.

%prep
%autosetup -n %{name} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

ln -s soundtouch.pc %{buildroot}%{_libdir}/pkgconfig/libSoundTouch.pc
ln -s soundtouch.pc %{buildroot}%{_libdir}/pkgconfig/soundtouch-1.0.pc

%files
%license COPYING.TXT
%doc README.html
%{_bindir}/soundstretch
%{_libdir}/lib*.so.*

%files  	devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%{_libdir}/cmake/SoundTouch

%changelog
* Mon Apr 18 2022 happy_orange <songnannan@linux.alibaba.com> - 2.3.1-1
- Init package from upstream
